tosca_definitions_version: tosca_simple_yaml_1_1
metadata:
  invariantUUID: 7b50279f-d4ef-4050-969c-23d8b186c879
  UUID: 5c7d113e-7c21-4b39-9cbe-9aa4d7e69aa2
  name: vMME
  description: vMME
  type: VF
  category: Volte
  subcategory: VolteVF
  resourceVendor: zte
  resourceVendorRelease: v1.0
  resourceVendorModelNumber: ''
imports:
- nodes:
    file: nodes.yml
- datatypes:
    file: data.yml
- capabilities:
    file: capabilities.yml
- relationships:
    file: relationships.yml
- groups:
    file: groups.yml
- policies:
    file: policies.yml
- resource-vMME-interface:
    file: resource-Vmme-template-interface.yml
- resource-vMME_VFC:
    file: resource-VmmeVfc-template.yml
topology_template:
  inputs:
    nf_naming:
      type: org.openecomp.datatypes.Naming
      default:
        ecomp_generated_naming: true
    nf_naming_code:
      type: string
      default: {
        }
    nf_function:
      type: string
      default: {
        }
    vmme_vfc0_id:
      type: string
      default: vMME
    vmme_vfc0_csarType:
      type: string
      default: NFAR
    availability_zone_max_count:
      type: integer
      default: 1
    max_instances:
      type: integer
      default: {
        }
    nf_type:
      type: string
      default: {
        }
    vmme_vfc0_csarVersion:
      type: string
      default: v1.0
    vmme_vfc0_version:
      type: string
      default: v1.0
    nf_role:
      type: string
      default: {
        }
    min_instances:
      type: integer
      default: {
        }
    vmme_vfc0_csarProvider:
      type: string
      default: ERICSSON
    vmme_vfc0_vendor:
      type: string
      default: ERICSSON
  node_templates:
    vMME_VFC 0:
      type: org.openecomp.resource.vfc.vMME
      metadata:
        invariantUUID: 9bb619f0-f2b1-47b3-b6e7-a9489d419817
        UUID: ba729703-e5b8-409b-949a-2c636b26e18a
        customizationUUID: e38d9a99-ba58-4a8f-b183-77d1c5897502
        version: '1.0'
        name: vMME_VFC
        description: vMME_VFC desc.
        type: VFC
        category: Volte
        subcategory: VolteVF
        resourceVendor: ATT (Tosca)
        resourceVendorRelease: 1.0.0.wd03
        resourceVendorModelNumber: ''
      properties:
        vendor:
          get_input: vmme_vfc0_vendor
        csarVersion:
          get_input: vmme_vfc0_csarVersion
        csarProvider:
          get_input: vmme_vfc0_csarProvider
        id:
          get_input: vmme_vfc0_id
        version:
          get_input: vmme_vfc0_version
        csarType:
          get_input: vmme_vfc0_csarType
  substitution_mappings:
    node_type: org.openecomp.resource.vf.Vmme
    capabilities:
      vmme_vfc0.feature:
      - vMME_VFC 0
      - feature
    requirements:
      vmme_vfc0.virtualLink:
      - vMME_VFC 0
      - virtualLink
      vmme_vfc0.dependency:
      - vMME_VFC 0
      - dependency
